body{
	padding: 0;
	margin: 0;
	font-family: 'Courier New', monospace;
	height: 100vh;
	width: 100vw;
	max-height: 100vh;
	max-width: 100vw;
	overflow: hidden;
	display: flex;
	align-items: center;
	justify-content: center;
}
form{
	display: flex;
	align-items: center;
	justify-content: center;
	flex-direction: column;
	text-align: center;
	padding: 5vh 5vw 0 5vw;
	border-radius: 20px;
	border: 1px solid;
	overflow: hidden;
}
form h2{
	color: #33658A;
	display: block;
	-webkit-touch-callout: none; 
    -webkit-user-select: none; 
     -khtml-user-select: none;
       -moz-user-select: none;
        -ms-user-select: none;
            user-select: none;
}
form input[type="text"]{
	width: 100%;
	padding: 1vh 1vw;
	margin-top: 15%;
	outline: none;
	border: 1.5px solid;
	border-radius: 20px;
	text-align: center;
	font-size: 16px;
	background-color: transparent;
	font-family: monospace;
	overflow: hidden;
}
.button_holder{
	display: flex;
	flex-direction: row;
	justify-content: space-between;
	padding: 0 1vw;
	width: 100%;
	margin-top: 15%;
	-webkit-touch-callout: none; 
    -webkit-user-select: none; 
     -khtml-user-select: none;
       -moz-user-select: none;
        -ms-user-select: none;
            user-select: none;
}
.button_holder input{
	width: 46%;
	border: 1px solid;
	border-radius: 5px;
	font-size: 20px;
	font-family: monospace;
	font-variant: small-caps;
	background-color: transparent;
	color: #33658A;
	transition: 0.5s;
	cursor: pointer;
}
.button_holder input:hover, .button_holder input:focus{
	transform: scale(1.07);
}
.error_list{
	width: 100%;
	text-align: center;
	padding: 1vh 1vw;
}
@media(prefers-color-scheme: light){
	body{
		background-color: #FFFAFF;
	}
	form{
		background-color: rgba(51, 101, 138, 0.1);
		border-color: black;
	}
	form input[type="text"]{
		border-color: gray;
		color: rgba(1, 1, 1, 0.8);
	}
	form input[type="text"]:focus{
		border-color: rgba(1, 1, 1, 0.8);
	}
	.button_holder input{
		border-color: rgba(1, 1, 1, 0.5);
	}
	.button_holder input:hover, .button_holder input:focus{
		border-color: rgba(1, 1, 1, 0.8);
	}
	.error_list{
		color: rgba(1, 1, 1, 0.9);
	}
}
@media(prefers-color-scheme: dark){
	body{
		background-color: #0B132B;	
	}
	form{
		background-color: #33658a1a;
		border-color: rgba(255, 255, 255, 0.8);
	}
	form input[type="text"]{
		border-color: gray;
		color: rgba(255, 255, 255, 0.8);
	}
	form input[type="text"]:focus{
		border-color: rgba(255, 255, 255, 0.8);
	}
	.button_holder input{
		border-color: rgba(255, 255, 255, 0.5);
	}
	.button_holder input:hover, .button_holder input:focus{
		border-color: rgba(255, 255, 255, 0.8);
	}
	.error_list{
		color: rgba(255, 255, 255, 0.8);
	}
}